Skip to navigation

Upload deployment file content

View as Markdown

Streams the file bytes to the reserved key (server-received upload path).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Deployment ID
fileKeystringRequired
File key

Request

This endpoint expects binary data of type application/octet-stream.

Response

OK
content_typestringOptional
keystringOptional
namestringOptional
sizelongOptional
updated_atstringOptional
uploaded_bystringOptional

Errors

413
Content Too Large Error
507
Insufficient Storage Error